Boomi Data Hub Repository API Reference (1.0.0) - Quarantine
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Review and resolve data issues before they impact golden records. Query, retrieve, approve, reject, and resolve quarantined entries created through validation or matching failures. Use this API to maintain data quality and prevent incorrect updates from being applied.
Query Quarantine Entries
The Query Quarantine Entries operation sends a query of the quarantine entries for a specified universe (domain) under the authenticated account. The query response includes the resolution status, the source entity involved, the quarantine cause, and a detailed reason for the quarantine.
The data provided in the response is historical. This means that if a model or match rule changes, the response contains not only the current quarantined entries for the entity but also any previous ones that were quarantined before you made changes.
Field values are masked if model fields contain masking configurations, the request uses JWT authentication, and you do not have permission to view masked data. You can view masked data if you have the MDM Administrator or MDM Privileged Data Steward role, the MDM - Reveal Masked Data privilege, or the Reveal Masked Data entitlement.
Additional Information: Note: You can implement requests for this operation in processes using the Boomi Data Hub connector's query quarantine entries operation.
Alternatively, you can use the HTTP Client connector, as demonstrated by the sample process Hub: Query Quarantine Entries, which you can install in your account from the process library in Integration.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the View Quarantine Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Request Body schema: application/xmlrequired
You can use the optional offsetToken and limit attributes for <QuarantineQueryRequest> for paging. The limit value is the maximum number of quarantine entries to return per page. It enforces a maximum of 200 entries per page regardless of the limit value. The offsetToken value corresponds to the same value returned from a previous Query Quarantine Entries request.
The optional includeData attribute has a Boolean value: Set to true (the default) to request entity data in addition to quarantine entry metadata. Set to false to request only quarantine entry metadata.
The optional type attribute for <QuarantineQueryRequest> sets a filter by status. Valid values: ACTIVE (default) — retrieve only active quarantine entries. ALL — retrieve active and resolved quarantine entries. RESOLVED — retrieve only resolved quarantine entries.
<filter> sets query filter parameters and the query operator. The optional op attribute specifies the query operator. Valid values are AND (all filtering criteria) or OR (any filtering criterion). The default is AND.
Each child element of <filter> sets a query filter parameter:
<sourceId>(optional) — Sets a filter by source. Specify the source by its unique ID.<sourceEntityId>(optional) — Sets a filter by source entity ID. This filter is effective only if you set a filter, using sourceId, for the source of the quarantined entity.<createdDate>(optional) — Sets a filter by the date and time of quarantine entry creation.<from>sets the range's starting date and time;<to>sets the range's ending date and time. Format for both is yyyy-MM-dd'T'HH:mm:ss'Z'. Omitting<from>filters entries created before the<to>date and time. Omitting<to>filters entries created after the<from>date and time.<endDate>(optional) — Sets a filter by date and time of quarantine entry resolution. Same<from>/<to>format and omission behavior as<createdDate>for resolved entries.<cause>(optional, repeatable) — Sets a filter by the reason for quarantining. One token per occurrence. Valid tokens:- AMBIGUOUS_MATCH — entities matching 10 or more golden records (1,000+ with exact+fuzzy).
- DUPLICATE_KEY — multiple collection items with same key values.
- ENRICH_ERROR — failed data quality steps.
- FIELD_FORMAT_ERROR — data not conforming to field type/validation or 255-character limit.
- INCORPORATE_ERROR — errors other than unresolvable references during incorporation.
- MATCH_REFERENCE_UNKNOWN — reference field value in match rule does not resolve to a golden record.
- MULTIPLE_MATCHES — matching multiple golden records not linked to source.
- PARSE_FAILURE — missing source entity ID or exceeding collection item limit.
- POSSIBLE_DUPLICATE — matching golden records linked to source.
- RECORD_ALREADY_ENDDATED — link from an end-dated golden record.
- REFERENCE_UNKNOWN — unresolvable references (collection items or referential integrity fields).
- REQUIRED_FIELD — omitted required fields.
- REQUIRES_APPROVAL — conditions requiring manual approval of new contributions.
- REQUIRES_END_DATE_APPROVAL — source requires manual approval to end-date.
- REQUIRES_UPDATE_APPROVAL — conditions requiring manual approval to update matching records.
- REQUIRES_UPDATE_WITH_BASE_VALUE_APPROVAL — pending link and field with base value.
<resolution>(optional, repeatable) — Sets a filter by the resolution of a quarantine entry. One token per occurrence. Effective only iftypeis RESOLVED. Valid tokens:- GRID_DELETED — user deleted the golden record.
- INCORPORATE_SUCCESS — resolved by successful incorporation of replacement.
- RESTORED — resolved by restoring end-dated golden record.
- SUPERSEDED — newer version contributed.
- USER_APPROVED — user approved entity.
- USER_IGNORE — user requested deletion.
- USER_IGNORED_ENRICHMENT — user resubmitted ignoring enrichment.
- USER_MATCHED — user resolved matching issue.
- USER_REJECTED — user rejected entity.
- USER_REPLAY — user resubmitted without editing.
- USER_REPLAY_WITH_EDITS — user edited and resubmitted.
- USER_RETRIED_ENRICHMENT — user resubmitted retrying enrichment.
- USER_SELECTIVE_MERGED — user merged fields into golden record and rejected entity.
<field>(optional, repeatable) — Sets a filter by field value. Thenameattribute specifies the field Unique ID. Thevalueattribute matches on the beginning of the field value. For example, 4617 Main St matches 4 or 4617 Main.
Elements corresponding to unused filter parameters must be omitted from <filter>.
object (QuarantineQueryFilter) | |
| offsetToken | string |
| limit | integer <int32> |
| includeData | boolean |
| type | object (ApiQuarantineType) |
Responses
Response Schema: application/xml
Array of objects (QuarantineEntry) | |
| resultCount | integer <int32> |
| totalCount | integer <int64> |
| offsetToken | string |
Request samples
- Payload
<QuarantineQueryRequest offsetToken="MjAw" limit="100" type="APIQUARANTINETYPE" includeData="true"> <filter op="AND"> <createdDate> <from>2023-01-01T00:00:00Z</from> <to>2023-12-31T23:59:59Z</to> </createdDate> <endDate> <from>2023-01-01T00:00:00Z</from> <to>2023-12-31T23:59:59Z</to> </endDate> <sourceEntityId>6f78f990-dbb9-4d97-94ff-64f7d31bc66f</sourceEntityId> <sourceId>SFDC</sourceId> <cause>POSSIBLE_DUPLICATE</cause> <resolution>USER_APPROVED</resolution> <field name="FIRST_NAME" value="John"></field> </filter> </QuarantineQueryRequest>
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<QuarantineQueryResponse resultCount="5" offsetToken="MjAw" totalCount="4"> <QuarantineEntry transactionId="01234567-89ab-cdef-0123-456789abcdef" sourceId="salesforce" entityId="2" createdDate="2012-07-12T21:45:54Z"> <cause>ENRICH_ERROR</cause> <reason>At data quality step 'boomi-internal-sitest-priv_dev:::AddressVerification': [304] Address Not Found.</reason> <entity> <contact> <id>2</id> <name>jack</name> <address_1>not home</address_1> <city>berwyn</city> <state>PA</state> <zip>19312</zip> </contact> </entity> </QuarantineEntry> </QuarantineQueryResponse>
Approve Quarantined Entity
The Approve Quarantine Entity operation allows the authenticated user to approve a quarantined entity to create, update, or end-date a golden record.
You can obtain a list of entity transactions using the Query Transactions operation or in the quarantined entity detail screen in the user interface.
Security Requirements: You must have one of the following MDM privileges:
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| transactionId | any Transaction ID you want to approve. You can obtain a list of entity transactions using the Query Transactions operation or in the quarantined entity detail screen in the user interface. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
| approvalType | any |
| baseValueUpdate | any If set to |
Responses
Response Schema: application/xml
| resolution | object (QuarantineResolutionType) |
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
Sample response body for creation of a golden record. Shows state=COMPLETED and stateDetail=CREATED.
<ApprovalResponse resolution="USER_APPROVED"> <success>true</success> <transaction id="25bf1ff0-f4bc-4799-a4f0-3fe4280c0cf7" updatedDate="2024-09-10T19:12:51.810Z" state="COMPLETED" stateDetail="CREATED"/> </ApprovalResponse>
Get Quarantine Entry for Source Entity
The Get Quarantine Entry for Source Entity operation retrieves the active quarantine entry corresponding to specified source entity in a universe (domain) under the authenticated account.
Field values are masked if model fields contain masking configurations, the request uses JWT authentication, and you do not have permission to view masked data. You can view masked data if you have the MDM Administrator or MDM Privileged Data Steward role, the MDM - Reveal Masked Data privilege, or the Reveal Masked Data entitlement.
Additional Information: Note: You can implement requests for this operation in processes using the Boomi Data Hub connector's get quarantine entry operation.
Alternatively, you can use the HTTP Client connector, as demonstrated by example 2 in the sample process Hub: Get Master Data by Source, which you can install in your account from the process library in Integration.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the View Quarantine Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| sourceId | any Source ID |
| entityId | any Source entity ID. It must be URL encoded if it contains special characters. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
| includeData | any Set to |
Responses
Response Schema: application/xml
| cause | string |
| reason | string |
| matchRule | string |
| resolution | string |
| fields | string |
object (Entity) | |
| createdDate | string |
| endDate | string |
| sourceId | string |
| sourceEntityId | string |
| transactionId | string |
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<QuarantineEntry transactionId="01234567-89ab-cdef-0123-456789abcdef" sourceId="salesforce" entityId="2" createdDate="2012-07-12T21:45:54Z"> <cause>ENRICH_ERROR</cause> <reason>At data quality step 'boomi-internal-sitest-priv_dev:::AddressVerification': [304] Address Not Found.</reason> <entity> <contact> <id>2</id> <name>jack</name> <address_1>not home</address_1> <city>berwyn</city> <state>PA</state> <zip>19312</zip> </contact> </entity> </QuarantineEntry>
Delete Quarantined Entry for Transaction
The Delete Quarantined Entry for Transaction operation deletes a quarantine entry associated with a specified transaction from a specified universe (domain) under the authenticated account.
If the quarantined transaction is for a potential duplicate or a record already end-dated error, consider using the Reject operation instead since it sends a REJECT request to the source.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Delete Quarantine Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| transactionId | any Transaction ID, which you can obtain from a Query Quarantine Entries operation. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Responses
Response samples
- 400
- 401
- 403
- 404
- 500
- 503
<?xml version="1.0" encoding="UTF-8"?> <error> <message>Invalid request parameters or format</message> </error>
Delete Quarantined Entry by Source Entity ID
The Delete Quarantined Entry by Source Entity ID operation deletes a quarantine entry associated with a specific source entity ID from a specific universe (domain) under the authenticated account.
If the quarantined entity is for a potential duplicate or a record already end-dated error, consider using the Reject operation instead since it sends a REJECT request to the source.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Delete Quarantine Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| sourceId | any Source ID |
| entityId | any Source entity ID associated with the quarantine entry. It must be URL encoded if it contains special characters. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Responses
Response samples
- 400
- 401
- 403
- 404
- 500
- 503
<?xml version="1.0" encoding="UTF-8"?> <error> <message>Invalid request parameters or format</message> </error>
Reject Quarantined Entity by Source Entity ID
The Reject Quarantined Entity by Source Entity ID operation resolves a quarantine entry for a potential duplicate error or record already end-dated error by rejecting the quarantined entity. A REJECT update is sent to the source so the source and Hub are in sync. This operation is associated with a specified quarantined entity from a given universe (deployed model) for the authenticated user.
Additional Information: This operation resolves a quarantine entry for a potential duplicate error or record already end-dated error by rejecting the quarantined entity. A REJECT update is sent to the source so the source and Hub are in sync.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Reject Quarantine Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| sourceId | any Source ID |
| entityId | any Source entity ID. It must be URL encoded if it contains special characters. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Responses
Response samples
- 400
- 401
- 403
- 404
- 500
- 503
<?xml version="1.0" encoding="UTF-8"?> <error> <message>Invalid request parameters or format</message> </error>
Reject Quarantined Entity for Transaction
The Reject Quarantined Entity for Transaction operation resolves a quarantine entry for a potential duplicate error or a record already end-dated error. The operation rejects the quarantined entity sends a REJECT update to the source so that the source and Hub are in sync. This operation is associated with a specified quarantine transaction from a given universe (deployed model) for the authenticated user.
Additional Information: This operation resolves a quarantine entry for a potential duplicate error or a record already end-dated error. The operation rejects the quarantined entity sends a REJECT update to the source so that the source and Hub are in sync.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Reject Quarantine Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| transactionId | any Transaction ID, which you can obtain from a Query Quarantine Entries operation. It must be URL encoded if it contains special characters. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Responses
Response samples
- 400
- 401
- 403
- 404
- 500
- 503
<?xml version="1.0" encoding="UTF-8"?> <error> <message>Invalid request parameters or format</message> </error>
Create Golden Record from Matching Error Quarantine Entry by Source Entity ID
The Create Golden Record from Matching Error Quarantine Entry by Source Entity ID operation creates a golden record from a quarantine entry identified as a potential duplicate record. The operation resolves matching conflicts for the quarantine entry that is associated with a specific source entity ID from a specific universe (domain) under the authenticated account.
Additional Information: This operation creates a golden record from a quarantine entry identified as a potential duplicate record and resolves matching conflicts.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Match Quarantine Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| sourceId | any Source ID |
| entityId | any Source entity ID associated with the matching error quarantine entry, which you can obtain from a Query Quarantine Entries operation. It must be URL encoded if it contains special characters. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Responses
Response Schema: application/xml
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<MatchResolveResponse><success>true</success><transaction id="2dbadd8-d226-4c4d-abe3-1dae8636e77a" updatedDate="2023-06-29T21:07:51.299Z" state="COMPLETED" stateDetail="CREATED"/></MatchResolveResponse>
Create Golden Record from Matching Error Quarantine Entry for Transaction
The Create Golden Record from Matching Error Quarantine Entry for Transaction operation creates a golden record from a quarantine entry identified as a potential duplicate record. The operation resolves matching conflicts for the quarantine entry that is associated with a specific transaction ID from a specific universe (domain) under the authenticated account.
Additional Information: This operation creates a golden record from a quarantine entry identified as a potential duplicate record and resolves matching conflicts.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Match Quarantine Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| transactionId | any Transaction ID associated with the matching error, which you can obtain from a Query Quarantine Entries operation. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Responses
Response Schema: application/xml
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<MatchResolveResponse><success>true</success><transaction id="2dbadd8-d226-4c4d-abe3-1dae8636e77a" updatedDate="2023-06-29T21:07:51.299Z" state="COMPLETED" stateDetail="CREATED"/></MatchResolveResponse>
Restore End-dated Golden Record for Transaction
The Restore End-dated Golden Record for Transaction operation resolves a quarantine entry for a Record Already End-Dated error. It restores the end-dated golden record and resolves the quarantine error. The quarantine entry is associated with a specific transaction from a universe (domain) under the authenticated account. Restoring the record marks it as active again, removing the end-date status. End-dated records are considered inactive with the intention to delete them permanently through the purge operation.
Additional Information: When you end-date a record that references another record, if that referenced record is also end-dated, restoring the reference will not make it visible in the end-dated record view. This is because end-dated records are inactive, so any restored references will not show up in those end-dated records.
Note: You can implement requests for this operation in processes using the HTTP Client connector, as demonstrated by example 3 in the sample process Hub: Restore End-dated Golden Record, which you can install in your account from the process library in Integration.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Restore Records Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| transactionId | any Quarantine entry transaction ID, which you can obtain from a Query Quarantine Entries operation. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Responses
Response Schema: application/xml
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
Sample response body when a restore operation is attempted on a quarantined record, but the restore fails and the entry remains quarantined. Shows state=QUARANTINED and stateDetail=FIELD_FORMAT_ERROR, indicating a subsequent quarantine cause was attached to the entity.
<QuarantineRestoreResponse> <success>true</success> <transaction id="e87d2710-5e15-4619-9ed4-c77524848cdf" updatedDate="2019-05-11T17:31:48.615Z" state="QUARANTINED" stateDetail="FIELD_FORMAT_ERROR"/> </QuarantineRestoreResponse>